# PyBEC

[//]: # (Badges)
[![Travis Build Status](https://travis-ci.com/brettrhenderson/pybec.svg?branch=master)](https://travis-ci.com/brettrhenderson/pybec)
[![Language grade: Python](https://img.shields.io/lgtm/grade/python/g/brettrhenderson/pybec.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/brettrhenderson/pybec/context:python)
[![codecov](https://codecov.io/gh/brettrhenderson/pybec/branch/master/graph/badge.svg)](https://codecov.io/gh/brettrhenderson/pybec/branch/master)
[![Documentation Status](https://readthedocs.org/projects/pybec/badge/?version=latest)](https://pybec.readthedocs.io/en/latest/?badge=latest)

Python package for extracting and manipulating Born Effective Charges from QuantumEspresso Output

## Installation

### The PyBEC Package
PyBEC is available via the Python Package Index (PyPI). 

Inside the virtual environment for your project:
```pip install pybec```

### Jupyter Notebook
First install PyBEC as discussed [above](#the-pybec-package). 

There is an associated Jupyter Notebook that demonstrates a lot of the packages parsing and plotting
capabilities.  It can be found in the release archive for each [github release](https://github.com/brettrhenderson/pybec/releases).
Download and extract the archive, and run the contained Jupyter Notebook.

## Usage
A [user manual](https://pybec.readthedocs.io/en/latest/) and [API documentation](https://pybec.readthedocs.io/en/latest/api.html) 
are available online.

### Copyright

Copyright (c) 2020, Brett Henderson


#### Acknowledgements

Project based on the
[Computational Molecular Science Python Cookiecutter](https://github.com/molssi/cookiecutter-cms) version 1.3.
